<%- include('../../admin-layout', 
{ 
    pageTitle: 'Admin management',
    breadcrumb1: "Other",
    breadcrumb2: "Client Message",
    addLink: `
        <link rel="stylesheet" href="${asset('/css/page/administrator/client-message.css')}">
    `,
    addMain: `
        <main id="Main">
            <div class="row" id="form-search">
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Title</label>
                    <input type="text" class="form-control" placeholder="Enter title" name="title">
                </div>
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Name</label>
                    <input type="text" class="form-control" placeholder="Enter name" name="clientName">
                </div>
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Phone</label>
                    <input type="text" class="form-control" placeholder="Enter phone" name="clientPhone">
                </div>
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Email</label>
                    <input type="text" class="form-control" placeholder="Enter email" name="clientEmail">
                </div>
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Created at from</label>
                    <input type="datetime-local" class="form-control" name="minCreatedAt">
                </div>
                <div class="col-sm-4 mb-4">
                    <label class="form-label">Created at to</label>
                    <input type="datetime-local" class="form-control" name="maxCreatedAt">
                </div>                
                <div class="col-sm-12 mb-4 d-flex justify-content-between">
                    <div>
                        <button class="btn btn-primary" id="search">Search</button>
                        <button class="btn btn-primary" id="reset">Reset</button>
                    </div>
                </div>
            </div>

            <div id="tabContent">
                <div class="tabContent">
                    <table>
                        <thead>
                            <tr>
                                <th>Title</th>
                                <th>Name</th>
                                <th>Phone</th>
                                <th>Email</th>
                                <th>Create at</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody id="insert_data">

                        </tbody>
                    </table>                    
                </div>
            </div>
            <div class="divMC_B contentbreak">
                <div class="grpNofP">
                    <button class="NfP" id="firstPageLink">First page</button>               
                    <button class="NfP" id="prevPageLink">Prev page</button>
                    <p id="page-now"></p>                   
                    <button class="NfP" id="nextPageLink">Next page</button>
                    <button class="NfP" id="lastPageLink">Last page</button>            
                </div>
            </div>
            <div class="modal" tabindex="-1" role="dialog" id="viewMessageModal">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">View message</h5>
                        </div>
                        <div class="modal-body">
                            <!-- Form -->
                            <div>
                                <div class="form-group">
                                    <label for="name">Title: <span id="title"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Name: <span id="name"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Phone: <span id="phone"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Email: <span id="email"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Created at: <span id="createdAt"></span></label>
                                </div>
                                <div class="form-group">
                                    <label for="name">Content: <pre id="content"></pre></label>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal" id="closeModal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
        </main>
    `,
    addScript: `
        <script src="${asset('/js/backtick_dynamic_html.js')}"></script>
        <script src="${asset('/js/page/administrator/client-message.js')}"></script>
    `
}) -%>